#
# spec file for package perl-Data-Section-Simple
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Data-Section-Simple
Version:        0.07
Release:        1.30
%define cpan_name Data-Section-Simple
Summary:        Read data from __DATA__
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Data-Section-Simple/
Source:         http://www.cpan.org/authors/id/M/MI/MIYAGAWA/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Requires)
%{perl_requires}

%description
Data::Section::Simple is a simple module to extract data from '__DATA__'
section of the file.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes cpanfile LICENSE README

%changelog
* Mon Sep 15 2014 coolo@suse.com
- updated to 0.07
  - revert the change in 0.06
  - Fix race condition in a forked environment (hirose31) #4
* Tue Jul 16 2013 coolo@suse.com
- updated to 0.05
  - use MakeMaker
  - Do not throw exceptions when there's no template (tokuhirom) #2
* Fri Mar  2 2012 ro@suse.de
- fix build on sle11
* Mon Dec 19 2011 coolo@suse.de
- initial package 0.03
  * created by cpanspec 1.78.06
